> For the complete documentation index, see [llms.txt](https://docs.tzmc.dev/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tzmc.dev/docs/qb-core/car-boat-plane-rental/config.md).

# Config

```lua
TZMCRentalsConfig = {}
 
--[[
 
    RENTAL PAPER INSTALLATION
 
    1.  Navigate to .../[qb]/qb-core/shared/items.lua
    2.  Scroll to the bottom of the item list and paste the following text - https://pastebin.com/nceShWde - It should look like this https://ibb.co/vY8Sy9S
    3.  Once added, navigate to .../[qb]/qb-inventory/html/js/app.js
    4.  Scroll down to around line 400 where you should see a function called 'FormatItemInfo'. Paste the following text before you see the words 'else if' - https://pastebin.com/63fsCLGM - It should look like this https://ibb.co/886S4Hm
    5.  You are now done.
 
]]--
 
-- PAYMENT --
 
TZMCRentalsConfig.Curreny = "$"
TZMCRentalsConfig.UseCash = true -- If this is set to false this will use money in the bank
 
-- NPC --
 
TZMCRentalsConfig.NPCCarModel = "ig_benny"
TZMCRentalsConfig.NPCBoatModel = "mp_m_boatstaff_01"
TZMCRentalsConfig.NPCPlaneModel = "s_m_y_airworker"
 
-- TARGET --
 
TZMCRentalsConfig.TargetTextCar = "Rent Vehicle"
TZMCRentalsConfig.TargetTextBoat = "Rent Boat"
TZMCRentalsConfig.TargetTextPlane = "Rent Aircraft"
 
-- ENABLE/DISABLE --
 
TZMCRentalsConfig.EnableCarRental = true
TZMCRentalsConfig.EnableBoatRental = true
TZMCRentalsConfig.EnablePlaneRental = true
 
-- NOTIFICATIONS --
TZMCRentalsConfig.UseQBNotify = true
TZMCRentalsConfig.NotificationEvent = "" -- If you're using your own notification system, enter the event here. If you leave this blank and set QBNotify to false this will use the FiveM chat to notify the player. The parameters are (text, status) Status can be either 'success' or 'error'.
 
TZMCRentalsConfig.SuccessText = "Your vehicle is ready to collect."
TZMCRentalsConfig.ErrorText = "You have insufficient funds to complete this purchase."
TZMCRentalsConfig.ReceivedKeys = "You have received keys for the vehicle."
 
-- VEHICLES --
 
TZMCRentalsConfig.Vehicles = {
    { name = "Boat Trailer", model = "boattrailer", price = 500, disabled = false, image = "https://gtacars.net/images/50ba367d945a7ea63fe79574cb7b226d"},
    { name = "Bison", model = "bison", price = 500, disabled = false, image = "https://gtacars.net/images/7dee85c690b17048475c6b24e2385a23"},
    { name = "Futo", model = "Futo", price = 600, disabled = false, image = "https://gtacars.net/images/d33e54c8cac4207e85d410fb4d19df97"  },
    { name = "Buccaneer", model = "buccaneer", price = 625, disabled = false, image = "https://gtacars.net/images/b276b6d5b8bd2fbc34358866ecb7b580"},
    { name = "Moped", model = "faggio", price = 750, disabled = false, image = "https://gtacars.net/images/a5a58a3250574f4848d2c701b59b8194"},
    { name = "Sanchez", model = "sanchez2", price = 10000, disabled = false, image = "https://gtacars.net/images/0ded162cfe5509dfb62ec7f486d3b517"},
    { name = "Coach", model = "coach", price = 800, disabled = false, image = "https://gtacars.net/images/2e4b358ff7b7516c6d7886886b63df07"},
    { name = "Shuttle Bus", model = "rentalbus", price = 800, disabled = false, image = "https://gtacars.net/images/4c523893295bfe05b49c5bb187deafad"},
    { name = "Tour bus", model = "tourbus", price = 800, disabled = false, image = "https://gtacars.net/images/b62c599891502d7950329c1d4f706c5e"},
    { name = "Taco", model = "taco", price = 800, disabled = false, image = "https://gtacars.net/images/2a90b00c399bb414d1f7643eb84e7c28"},
    { name = "Limo", model = "stretch", price = 1500, disabled = false, image = "https://gtacars.net/images/828f3579ce492b17351d597b28fd4485"},
    { name = "Hearse", model = "romero", price = 1500, disabled = false, image = "https://gtacars.net/images/6dc82896e72fbf83bd8f17886da4e4d5"},
    { name = "Clown Van", model = "speedo2", price = 5000, disabled = false, image = "https://gtacars.net/images/26a5f246e778bf4373650a36556dc2f9"},
    { name = "Festival Bus", model = "pbus2", price = 10000, disabled = false, image = "https://gtacars.net/images/92f133d89d7000522a7d9de9a4359b0c"},
}
 
TZMCRentalsConfig.Boats = {
    { name = "Jet Ski", model = "seashark", price = 250, disabled = false, image = "https://gtacars.net/images/a7274921ef29a2fe7522dcbe2ad337ce"},
    { name = "Suntrap", model = "suntrap", price = 500, disabled = false, image = "https://gtacars.net/images/25701a8d6b07288ed98d6d00c6b82085"},
    { name = "Squalo", model = "squalo", price = 500, disabled = false, image = "https://gtacars.net/images/d97422296f3716c76cdbb9752d040972"},
    { name = "Speeder", model = "speeder", price = 750, disabled = false, image = "https://gtacars.net/images/4dce170f91f9bfc70df637590cd9599b"},
    { name = "Dinghy", model = "dinghy", price = 1000, disabled = false, image = "https://gtacars.net/images/5ff0c55fdf22543cd1ac42cad89def97"},
    { name = "Marquis", model = "marquis", price = 1250, disabled = false, image = "https://gtacars.net/images/2f09c93470d49e60d4bc43e9b4a4b685"},
    { name = "Submersible", model = "submersible", price = 2000, disabled = false, image = "https://gtacars.net/images/3d124dcfdb6a6d539698aba71dfb88fd"},
}
 
TZMCRentalsConfig.Aircraft = {
    { name = "Ultralight", model = "microlight", price = 2500, disabled = false, image = "https://gtacars.net/images/05208be74d4888be828e2dd8414896e6"},
    { name = "Cuban 800", model = "cuban800", price = 5000, disabled = false, image = "https://gtacars.net/images/bc4275e5138d4a8cd670314ee9137299"},
    { name = "Mammatus", model = "mammatus", price = 7500, disabled = false, image = "https://gtacars.net/images/aa47acc71a50f1c4c9954890781c2201"},
    { name = "Nimbus", model = "nimbus", price = 15000, disabled = false, image = "https://gtacars.net/images/11c1b4ae423996d3ef96312776922aa3"},
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/car-boat-plane-rental/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
